From e880fa27afcd1bd2ef251532de06130600420453 Mon Sep 17 00:00:00 2001
From: Melanie Plageman <melanieplageman@gmail.com>
Date: Wed, 29 Jan 2025 16:47:11 -0500
Subject: [PATCH] Add additional info to Contributor Committee pages

Add the Contributor Committee contact email address to the governance
page describing the committee.

Also, add a link to the release notes to the Contributors Profiles page.
---
 templates/contributors/list.html                   | 4 ++++
 templates/pages/about/governance/contributors.html | 4 ++++
 templates/pages/about/policies/contributors.html   | 8 ++++++--
 3 files changed, 14 insertions(+), 2 deletions(-)

diff --git a/templates/contributors/list.html b/templates/contributors/list.html
index 96a4d569..40a32205 100644
--- a/templates/contributors/list.html
+++ b/templates/contributors/list.html
@@ -11,6 +11,10 @@
     See the <a href="/about/policies/contributors/">Recognized Contributors</a>
     policy for more information on becoming a recognized contributor.
 </p>
+<p>
+    For a list of all code contributions to a specific release, see the
+  <a href="/docs/release/">Release Notes</a> for released versions of PostgreSQL.
+</p>
 <p>
     Existing contributors can update their information in their
     <a href="/account/profile/">user profile</a>.
diff --git a/templates/pages/about/governance/contributors.html b/templates/pages/about/governance/contributors.html
index ac1cbfc3..336c7a7e 100644
--- a/templates/pages/about/governance/contributors.html
+++ b/templates/pages/about/governance/contributors.html
@@ -37,4 +37,8 @@
   updated promptly after any decisions are made with respect to additions
   or changes.
 </p>
+<p>
+  Contact the Contributor Committee by emailing
+  <a href="mailto:contributors@postgresql.org">contributors@postgresql.org</a>.
+</p>
 {%endblock%}
diff --git a/templates/pages/about/policies/contributors.html b/templates/pages/about/policies/contributors.html
index 42d0a635..3ad18a76 100644
--- a/templates/pages/about/policies/contributors.html
+++ b/templates/pages/about/policies/contributors.html
@@ -10,11 +10,15 @@
   page includes people who have made substantial, long-term contributions of
   time and effort to the PostgreSQL project. One-time-only or short-term
   contributions are not usually considered adequate for listing, unless they
-  involve quite large amounts of code and time. For a list of all code
-  contributions to a specific release, see the
+  involve quite large amounts of code and time.
+</p>
+
+<p>
+  For a list of all code contributions to a specific release, see the
   <a href="/docs/release/">Release Notes</a> for released versions of
   PostgreSQL.
 </p>
+
 <p>
   Financial contributions get listed on the
   <a href="/about/sponsors/">Sponsors</a> pages, not here.
-- 
2.45.2

